ros-noetic-trajectory-tracker (0.17.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-trajectory-tracker (0.17.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-trajectory-tracker (0.17.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.16.0-1focal) focal; urgency=high

  * planner_cspace: start planning from expected robot pose (#717 <https://github.com/at-wat/neonavigation/issues/717>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.15.0-1focal) focal; urgency=high

  * trajectory_tracker: make trajectory_tracker library (#713 <https://github.com/at-wat/neonavigation/issues/713>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.14.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.13.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.1-1focal) focal; urgency=high

  * trajectory_tracker: relax test conditions (#674 <https://github.com/at-wat/neonavigation/issues/674>)
  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * trajectory_tracker: throttle tf exception logs (#670 <https://github.com/at-wat/neonavigation/issues/670>)
  * trajectory_tracker: improve test stability (#667 <https://github.com/at-wat/neonavigation/issues/667>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.12.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.7-1focal) focal; urgency=high

  * trajectory_tracker: fix prediction_offset of trajectory_tracker (#644 <https://github.com/at-wat/neonavigation/issues/644>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.1-1focal) focal; urgency=high

  * trajectory_tracker: increase SwitchBackWithPathUpdate test timeout (#611 <https://github.com/at-wat/neonavigation/issues/611>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.11.0-1focal) focal; urgency=high

  * trajectory_tracker: add velocity tolerance parameters (#607 <https://github.com/at-wat/neonavigation/issues/607>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.11-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.10-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.9-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.10.0-1focal) focal; urgency=high

  * trajectory_tracker: add a mode to apply the same control method during turning in place (#513 <https://github.com/at-wat/neonavigation/issues/513>)
  * trajectory_tracker: relax test tolerance on tf mode (#545 <https://github.com/at-wat/neonavigation/issues/545>)
  * trajectory_tracker: goal if both raw and predicted pose is in tolerance (#540 <https://github.com/at-wat/neonavigation/issues/540>)
  * trajectory_tracker: fix wrong tracking target just after new path is received (#537 <https://github.com/at-wat/neonavigation/issues/537>)
  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)
  * trajectory_tracker: add odometry timeout checking (#534 <https://github.com/at-wat/neonavigation/issues/534>)
  * trajectory_tracker: predict odometry by extrapolation (#529 <https://github.com/at-wat/neonavigation/issues/529>)
  * trajectory_tracker: add use_odom option (#523 <https://github.com/at-wat/neonavigation/issues/523>)
  * trajectory_tracker: make trajectory_tracker dynamic-reconfigurable (#521 <https://github.com/at-wat/neonavigation/issues/521>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.9.1-1focal) focal; urgency=high

  * trajectory_tracker: fix remained distance calculation on overshoot (#514 <https://github.com/at-wat/neonavigation/issues/514>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.9.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.6-1focal) focal; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.4-1focal) focal; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * trajectory_tracker: add missing dep to std_srvs (#470 <https://github.com/at-wat/neonavigation/issues/470>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.2-1focal) focal; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.8.0-1focal) focal; urgency=high

  * Add message package version constraints (#443 <https://github.com/at-wat/neonavigation/issues/443>)
  * trajectory_tracker: check path timestamps in tests (#441 <https://github.com/at-wat/neonavigation/issues/441>)
  * trajectory_tracker: add path header to TrajectoryTrackerStatus (#439 <https://github.com/at-wat/neonavigation/issues/439>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.7.0-1focal) focal; urgency=high

  * trajectory_tracker: calculate correct curvature at the end of path (#435 <https://github.com/at-wat/neonavigation/issues/435>)
  * trajectory_tracker: fix test initialization timeout (#432 <https://github.com/at-wat/neonavigation/issues/432>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.6.0-1focal) focal; urgency=high

  * trajectory_tracker: add a service to clear recorded path (#422 <https://github.com/at-wat/neonavigation/issues/422>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.5.1-1focal) focal; urgency=high

  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)
  * trajectory_tracker: fix test stability (#405 <https://github.com/at-wat/neonavigation/issues/405>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-noetic-trajectory-tracker (0.5.0-1focal) focal; urgency=high

  * trajectory_tracker: track interpolated rotation (#394 <https://github.com/at-wat/neonavigation/issues/394>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.4.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.4.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.4.1-1focal) focal; urgency=high

  * trajectory_tracker: update demo params (#352 <https://github.com/at-wat/neonavigation/issues/352>)
  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * planner_cspace: calculate path hysteresis in 3-DOF space (#304 <https://github.com/at-wat/neonavigation/issues/304>)
  * Fix include directory priority (#308 <https://github.com/at-wat/neonavigation/issues/308>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.4.0-1focal) focal; urgency=high

  * trajectory_tracker: speed up simulation on rostest (#280 <https://github.com/at-wat/neonavigation/issues/280>)
  * trajectory_tracker: linear velocity adaptive gain control (#276 <https://github.com/at-wat/neonavigation/issues/276>)
  * trajectory_tracker: remove unused parameters (#274 <https://github.com/at-wat/neonavigation/issues/274>)
  * trajectory_tracker: fix remained distance for path with two poses (#272 <https://github.com/at-wat/neonavigation/issues/272>)
  * Add LICENSE file (#270 <https://github.com/at-wat/neonavigation/issues/270>)
  * Support melodic (#266 <https://github.com/at-wat/neonavigation/issues/266>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.3.1-1focal) focal; urgency=high

  * trajectory_tracker: fix test timeout for path with velocity (#263 <https://github.com/at-wat/neonavigation/issues/263>)
  * trajectory_tracker: add timeout to the test (#261 <https://github.com/at-wat/neonavigation/issues/261>)
  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * trajectory_tracker: fix robot pose prediction (#250 <https://github.com/at-wat/neonavigation/issues/250>)
  * trajectory_tracker: fix angular velocity limit (#252 <https://github.com/at-wat/neonavigation/issues/252>)
  * trajectory_tracker: add acceleration factor parameter of time optimal control (#249 <https://github.com/at-wat/neonavigation/issues/249>)
  * trajectory_tracker: fix local goal handling (#251 <https://github.com/at-wat/neonavigation/issues/251>)
  * trajectory_tracker: add tolerance to InPlaceTurn (#248 <https://github.com/at-wat/neonavigation/issues/248>)
  * trajectory_tracker: fix angle normalization in in-place turn mode (#247 <https://github.com/at-wat/neonavigation/issues/247>)
  * trajectory_tracker: refactoring (#239 <https://github.com/at-wat/neonavigation/issues/239>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * trajectory_tracker: fix status output topic path (#225 <https://github.com/at-wat/neonavigation/issues/225>)
  * trajectory_tracker: add tests (#207 <https://github.com/at-wat/neonavigation/issues/207>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-noetic-trajectory-tracker (0.2.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-noetic-trajectory-tracker (0.2.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-noetic-trajectory-tracker (0.2.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-noetic-trajectory-tracker (0.2.0-1focal) focal; urgency=high

  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * trajectory_tracker: reduce angular oscillation (#120 <https://github.com/at-wat/neonavigation/issues/120>)
  * trajectory_tracker: use timer instead of spinOnce polling (#119 <https://github.com/at-wat/neonavigation/issues/119>)
  * trajectory_tracker: fix naming style. (#92 <https://github.com/at-wat/neonavigation/issues/92>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * trajectory_tracker: removes unnecessary launch files (#18 <https://github.com/at-wat/neonavigation/issues/18>)
  * trajectory_tracker: adds option to store timestamp in recorded path (#13 <https://github.com/at-wat/neonavigation/issues/13>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * trajectory_tracker: subtree merge changes on trajectory_tracker repository
  * Subtree-merge 'trajectory_tracker' package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000


